defaults = {
    'apt': {
        'repos': {
            'php': {
                'items': {
                    'deb https://packages.sury.org/php/ {os_release} main',
                },
            },
        },
    },
}


@metadata_reactor.provides(
    'apt/packages',
)
def php_packages_with_features(metadata):
    version = metadata.get('php/version')

    packages = {
        f'php{version}': {},
        f'php{version}-cli': {},
        f'php{version}-fpm': {},
    }

    for package in metadata.get('php/packages', set()):
        packages[f'php{version}-{package}'] = {
            'triggers': {
                f'svc_systemd:php{version}-fpm:restart',
            }
        }

    return {
        'apt': {
            'packages': packages,
        },
    }
